
Application: gvSIG desktop - gvSIG bugs #3810
Error al cargar PostGIS
10/15/2015 09:41 AM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Database
Target version: 2.3.0-2415
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2406 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al abrir el proyecto de testing con PostGIS da error.
En un proyecto nuevo, añado capa PostGIS y la carga en el TOC pero no se ve nada y da error.

Adjunto el log (he realizado las 2 acciones seguidas)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3966: No se inicializan ... Closed 12/29/2015
Blocked by Application: gvSIG desktop - gvSIG bugs # 3967: Al conectar con un... Closed 12/29/2015

Associated revisions
Revision 42378 - 10/16/2015 03:59 PM - Joaquín  del Cerro Murciano

refs #3810, falla al cargar capas postgis al usar la libreria de geometrias basada en jts. Se ha aliminado el uso de los metodos "deprecated" del API 
addMoveToVertex y closePrimitive.

Revision 42478 - 11/13/2015 02:31 PM - Francisco Díaz Carsí

refs #3810 Fixed WKBParser3 & Envelope2D to fixed load PostGIS bug.

History
#1 - 10/16/2015 04:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 10/22/2015 09:51 AM - Joaquín  del Cerro Murciano
- gvSIG version changed from 2.2.0 to 2.3.0

#3 - 10/26/2015 05:50 PM - Álvaro Anguix
- gvSIG build changed from 2403 to 2406
- Target version changed from 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107) to 98
- Status changed from Fixed to New
Con el 2406 me sigue pasando

Dejo los datos de la bd que uso para testear:
- servidor: gvsig-training.com
- Puerto: 5432
- base de datos: andalucia
- Us: curso
- Pw: curso

#4 - 11/13/2015 09:20 AM - Joaquín  del Cerro Murciano
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí

#5 - 11/13/2015 09:48 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#6 - 11/13/2015 02:32 PM - Francisco Díaz Carsí
- Target version changed from 98 to 2.3.0-2409  (rev. org.gvsig.desktop-2.0.115)
- Status changed from In progress to Fixed

#7 - 12/21/2015 01:29 PM - Álvaro Anguix
- Target version changed from 2.3.0-2409  (rev. org.gvsig.desktop-2.0.115) to 110
- Status changed from Fixed to New
- File Error_GeoDB.png added

Al intentar conectar me aparece una ventana de aviso (adjunto captura) y no carga nada.

#8 - 12/21/2015 01:30 PM - Álvaro Anguix
- File gvSIG.log added

Subo también el log (log2)

#9 - 12/29/2015 08:34 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3966: No se inicializan en el orden adecuado las dependencias de una libreria. added

#10 - 12/29/2015 08:46 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3863: Editing mode is not finished in Windows added

#11 - 12/29/2015 08:47 PM - Joaquín  del Cerro Murciano
- Related to deleted (gvSIG bugs #3863: Editing mode is not finished in Windows)

#12 - 12/29/2015 08:52 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3967: Al conectar con una BBDD postgreSQL da error. added

#13 - 12/29/2015 08:53 PM - Joaquín  del Cerro Murciano
- Related to deleted (gvSIG bugs #3967: Al conectar con una BBDD postgreSQL da error.)

#14 - 12/29/2015 08:53 PM - Joaquín  del Cerro Murciano
- Blocked by gvSIG bugs #3967: Al conectar con una BBDD postgreSQL da error. added
#15 - 12/29/2015 08:56 PM - Joaquín  del Cerro Murciano

Álvaro Anguix wrote:

Al intentar conectar me aparece una ventana de aviso (adjunto captura) y no carga nada.

Este error no tiene nada que ver con el error reportado inicialmente en el ticket.
Se tratan de errores completamente distintos.

He creado el ticket #3967 para arreglar este ultimo error.

Dejo este ticket abierto por que entiendo que el nuevo error impide comprobar si el antiguo se sigue produciendo.

#16 - 12/31/2015 10:17 AM - Joaquín  del Cerro Murciano
- Status changed from New to In progress

hasta donde he podido probar parace que funciona.
He cargado todas las capas con campos geometria que habia en la base de datos de andalucia sin errores.

Lo cierro.

#17 - 12/31/2015 10:18 AM - Joaquín  del Cerro Murciano
- Assignee changed from Francisco Díaz Carsí to Joaquín  del Cerro Murciano

#18 - 12/31/2015 10:18 AM - Joaquín  del Cerro Murciano

Otras, pos no me deja cerrarlo.

#19 - 12/31/2015 10:21 AM - Joaquín  del Cerro Murciano
- Status changed from In progress to New

#20 - 01/18/2016 12:13 PM - Álvaro Anguix
- Status changed from New to Fixed

#21 - 01/18/2016 11:09 PM - Joaquín  del Cerro Murciano
- Target version changed from 110 to 2.3.0-2415

#22 - 01/20/2016 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 412 KB 10/15/2015 Álvaro Anguix
Error_GeoDB.png 13.8 KB 12/21/2015 Álvaro Anguix
gvSIG.log 408 KB 12/21/2015 Álvaro Anguix
